# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @name Scaled
#' @title Store parameters and functions associated to the scaled version of ATN
#' @description Type the name of the class to see its methods
#' @field nb_s Total number of species
#' @field nb_b Number of basal species
#' @field c double: interference competition
#' @field X Vector of metabolic rates (length = number of species)
#' @field max_feed Vector of maximum feeding rates (length = number of consumers)
#' @field e Vector of assimilation efficiencies (length = number of species)
#' @field r Vector of producers maximum growth rates (length = number of basal species)
#' @field BM Vector of body masses (length = number of species)
#' @field dB Vector of local derivatives (length = number of species)
#' @field B0 Vector of half saturation densities (length = number of consumers)
#' @field fw Adjacency matrix of the food-web (dim = number of species * number of species)
#' @field w Matrix of relative consumption rates (dim = number of species * number of consumers)
#' @field F Matrix of per-capita feeding rates (dim = number of species * number of consumers)
#' @field q hill exponent for the type of functional response
#' @field K Carrying capacity of basal species
#' @field ext Extinction threshold for species
#' @field alpha Plant resource competition
#' @field ODE Calculate the derivatives for the scaled version of the ATN model \itemize{
#' \item Parameter: bioms -  Local species biomasses
#' \item Parameter: t - Integration time point
#' \item Returns a vector of growth rate for each species at time t
#' }
NULL

#' @name Scaled_loops
#' @title Store parameters and functions associated to the scaled version of ATN
#' @description To not use. For testing purpose only. Please use Rcpp_Scaled instead. 
NULL

#' @name Unscaled
#' @title Store parameters and functions associated to the unscaled version of ATN
#' @description Type the name of the class to see its methods
#' @field nb_s Total number of species
#' @field nb_b Number of basal species
#' @field c double: interference competition
#' @field X Vector of metabolic rates (length = number of species)
#' @field a Matrix of attack rates (dim = number of species * number of consumers)
#' @field h Matrix of handling times (dim = number of species * number of consumers)
#' @field e Vector of assimilation efficiencies (length = number of species)
#' @field r Vector of producers maximum growth rates (length = number of basal species)
#' @field BM Vector of body masses (length = number of species)
#' @field dB Vector of local derivatives (length = number of species)
#' @field fw Adjacency matrix of the food-web (dim = number of species * number of species)
#' @field F Matrix of per-capita feeding rates (dim = number of species * number of consumers)
#' @field q hill exponent for the type of functional response
#' @field K Carrying capacity of basal species
#' @field alpha Plant resource competition
#' @field ext Extinction threshold for species
#' @field ODE Calculate the derivatives for the scaled version of the ATN model \itemize{
#' \item Parameter: bioms -  Local species biomasses
#' \item Parameter: t - Integration time point
#' \item Returns a vector of growth rate for each species at time t
#' }
NULL

#' @name Unscaled_loops
#' @title Store parameters and functions associated to the unscaled version of ATN
#' @description To not use. For testing purpose only. Please use Rcpp_Unscaled instead. 
NULL

#' @name Unscaled_nuts
#' @title Store parameters and functions associated to the unscaled version of ATN including nutrient dynamics
#' @description Type the name of the class to see its methods
#' @field nb_s Total number of species
#' @field nb_b Number of basal species
#' @field nb_n Number of nutrient pool
#' @field c double: interference competition
#' @field b Matrix of attack rates (dim = number of species * number of consumers)
#' @field h Matrix of handling times (dim = number of species * number of consumers)
#' @field X vector of metabolic rates (length = number of species)
#' @field K matrix of plant nutrient efficiencies (dim = number of nutrients * number of plants)
#' @field V matrix of plant relative nutrient content (dim = number of nutrients * number of plants)
#' @field S Vector of maximum nutrient concentration (length = number of plants)
#' @field r Vector of maximum growth rate of plant species (length = number of plant species)
#' @field e Vector of assimilation efficiencies (length = number of species)
#' @field BM Vector of body masses (length = number of species)
#' @field dB Vector of local derivatives (length = number of species)
#' @field fw Adjacency matrix of the food-web (dim = number of species * number of species)
#' @field w Matrix of relative consumption rates (dim = number of species * number of consumers)
#' @field F Matrix of per-capita feeding rates (dim = number of species * number of consumers)
#' @field q hill exponent for the type of functional response
#' @field ext Extinction threshold for species
#' @field ODE Calculate the derivatives for the scaled version of the ATN model \itemize{
#' \item Parameter: bioms -  Local species biomasses
#' \item Parameter: t - Integration time point
#' \item Returns a vector of growth rate for each species at time t
#' }
NULL

#' @name Unscaled_nuts_loops
#' @title Store parameters and functions associated to the unscaled version of ATN
#' @description To not use. For testing purpose only. Please use Rcpp_Unscaled_nuts instead. 
NULL

